﻿
#language: ru

@SalesOfProducts

Функционал: 015. SalesOfProducts. Формирование распоряжений и накладных на неавтоматизированном складе

Сценарий: 015.1. SalesOfProducts. Формирование распоряжений и накладных на неавтоматизированном складе

	Дано Я подключаюсь под "Формирование накладных на неавтоматизированных складах"
	Дано я устанавливаю текущему сеансу заголовок приложения "13.015. Реализация товаров"
	Дано я удаляю объекты "Документы.РеализацияТоваровУслуг" без контроля ссылок
	Дано я удаляю все элементы таблицы "РегистрСведений.к2НастройкиПечатиОбъектов"
	И В командном интерфейсе я выбираю 'Заказы' 'Формирование накладных'
	Тогда открылось окно 'Формирование накладных'
	И я нажимаю на гиперссылку "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '01.03.2020'
	И в поле 'DateEnd' я ввожу текст '31.03.2020'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Формирование накладных'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Сырная ГП'
	И я нажимаю на кнопку 'ДеревоДокументовОтгрузкиОбновитьДеревоДокументов'
	И в таблице "ДеревоПлановОтгрузки" я разворачиваю строку:
		| 'План'   | 'Транспорт/План отгрузки' |
		| '51,250' | 'А524НВ Газель, Водитель Петров Петр'           |
	И в таблице "ДеревоПлановОтгрузки" я перехожу к строке:
		| 'План'   | 'Статус'    |
		| '51,250' | 'В наборку' |
	И в таблице "ТоварыПланаОтгрузки" я перехожу к строке:
		| 'Количество' | 'Номенклатура'                              |
		| '10,000'     | 'Сыр Пошехонский / Ашан упак (5 кг) (Ашан)' |
	И в таблице "ТоварыРаспоряженияНаОтгрузку" я нажимаю на кнопку 'План в Факт'
	И в таблице "ТоварыРаспоряженияНаОтгрузку" я перехожу к строке:
		| 'В ед. хранения' | 'Ед.'                | 'Количество' | 'Номенклатура'    | 'Характеристика' |
		| '51,250, кг'     | 'упак (5 кг) (Ашан)' | '10,000'     | 'Сыр Пошехонский' | 'Ашан'           |
	И в таблице "ТоварыРаспоряженияНаОтгрузку" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "ТоварыРаспоряженияНаОтгрузку" я завершаю редактирование строки
	И в таблице "ТоварыРаспоряженияНаОтгрузку" я нажимаю на кнопку 'Сохранить'
	И в таблице "ДеревоПлановОтгрузки" я перехожу к строке:
		| 'План'   | 'Транспорт/План отгрузки' | 'Факт'   |
		| '51,250' | 'А524НВ Газель, Водитель Петров Петр'           | '51,250' |
	И в таблице "ДеревоПлановОтгрузки" я перехожу к строке:
		| 'План'   | 'Статус'    | 'Факт'   |
		| '51,250' | 'В наборку' | '51,250' |
	И в таблице "ТоварыРаспоряженияНаОтгрузку" я перехожу к строке:
		| 'В ед. хранения' | 'Ед.'                | 'Количество' | 'Номенклатура'    | 'Серия'                        | 'Характеристика' |
		| '51,250, кг'     | 'упак (5 кг) (Ашан)' | '10,000'     | 'Сыр Пошехонский' | '000001 до 27.10.2020 0:00:00' | 'Ашан'           |
	И в таблице "ТоварыРаспоряженияНаОтгрузку" у поля с именем "ТоварыРаспоряженияНаОтгрузкуНоменклатура" я жду значения отличного от "Неопределено" в течение 20 секунд
	И в таблице "ТоварыРаспоряженияНаОтгрузку" я нажимаю на кнопку с именем 'ТоварыРаспоряженияНаОтгрузкуДобавить'
	И в таблице "ТоварыРаспоряженияНаОтгрузку" из выпадающего списка с именем "ТоварыРаспоряженияНаОтгрузкуНоменклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "ТоварыРаспоряженияНаОтгрузку" из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И в таблице "ТоварыРаспоряженияНаОтгрузку" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "ТоварыРаспоряженияНаОтгрузку" в поле с именем 'ТоварыРаспоряженияНаОтгрузкуКоличествоУпаковок' я ввожу текст '5,000'
	И в таблице "ТоварыРаспоряженияНаОтгрузку" я завершаю редактирование строки
	И в таблице "ТоварыРаспоряженияНаОтгрузку" я нажимаю на кнопку 'Сохранить'
	И в таблице "ТоварыРаспоряженияНаОтгрузку" я перехожу к строке:
		| 'В ед. хранения' | 'Ед.'                | 'Количество' | 'Номенклатура'   | 'Серия'                        | 'Характеристика' |
		| '25,625, кг'     | 'упак (5 кг) (Ашан)' | '5,000'      | 'Сыр Адыгейский' | '000001 до 27.10.2020 0:00:00' | 'Ашан'           |
	И в таблице "ТоварыРаспоряженияНаОтгрузку" я перехожу к строке:
		| 'В ед. хранения' | 'Ед.'                | 'Количество' | 'Номенклатура'    | 'Серия'                        | 'Характеристика' |
		| '51,250, кг'     | 'упак (5 кг) (Ашан)' | '10,000'     | 'Сыр Пошехонский' | '000001 до 27.10.2020 0:00:00' | 'Ашан'           |
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на отгрузку'
	Тогда открылось окно 'Распоряжения на отгрузку'
	И я нажимаю кнопку выбора у поля "План отгрузки"
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Дата отгрузки' | 'Склад'     | 'Статус'    |
		| '22.03.2020'    | 'Сырная ГП' | 'В наборку' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Распоряжения на отгрузку'
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на отгрузку * от *'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку 'Разбить строку'
	Тогда открылось окно 'Введите количество товара в новой строке'
	И в поле 'InputFld' я ввожу текст '3,000'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Распоряжение на отгрузку * от * *'
	И в таблице "Товары" я перехожу к строке:
		| 'В ед. хранения' | 'Ед.'                | 'Количество' | 'Номенклатура'   | 'Серия'                        | 'Характеристика' |
		| '10,250, кг'     | 'упак (5 кг) (Ашан)' | '2,000'      | 'Сыр Адыгейский' | '000001 до 27.10.2020 0:00:00' | 'Ашан'           |
	И в таблице "Товары" я активизирую поле "Характеристика"
	И в таблице "Товары" я перехожу к строке:
		| 'В ед. хранения' | 'Ед.'                | 'Количество' | 'Номенклатура'   | 'Серия'                        | 'Характеристика' |
		| '15,375, кг'     | 'упак (5 кг) (Ашан)' | '3,000'      | 'Сыр Адыгейский' | '000001 до 27.10.2020 0:00:00' | 'Ашан'           |
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" я завершаю редактирование строки
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Ед.'                | 'Номенклатура'   | 'Характеристика'   | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' |
		| '2,000'      | 'упак (5 кг) (Ашан)' | 'Сыр Адыгейский' | 'Ашан'             | '000001 до 27.10.2020 0:00:00' | '10,250, кг'     | '20,5'    |
		| '3,000'      | 'упак (5 кг) (Ашан)' | 'Сыр Адыгейский' | '<Без маркировки>' | '000001 до 27.10.2020 0:00:00' | '15,375, кг'     | '30,75'   |
	И в поле с именем 'Комментарий' я ввожу текст 'Распоряжение на отгрузку на неавтоматизированном складе'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распоряжение на отгрузку * от * *' в течение 20 секунд
	Тогда открылось окно 'Распоряжения на отгрузку'
	И Я закрываю окно 'Распоряжения на отгрузку'
	Тогда открылось окно 'Формирование накладных'
	И я нажимаю на кнопку 'ДеревоДокументовОтгрузкиОбновитьДеревоДокументов'
	И в таблице "ТоварыРаспоряженияНаОтгрузку" я перехожу к строке:
		| 'В ед. хранения' | 'Ед.'                | 'Количество' | 'Номенклатура'    | 'Серия'                        | 'Характеристика' |
		| '51,250, кг'     | 'упак (5 кг) (Ашан)' | '10,000'     | 'Сыр Пошехонский' | '000001 до 27.10.2020 0:00:00' | 'Ашан'           |
	И в таблице "ТоварыРаспоряженияНаОтгрузку" я перехожу к строке:
		| 'В ед. хранения' | 'Ед.'                | 'Количество' | 'Номенклатура'   | 'Серия'                        | 'Характеристика' |
		| '10,250, кг'     | 'упак (5 кг) (Ашан)' | '2,000'      | 'Сыр Адыгейский' | '000001 до 27.10.2020 0:00:00' | 'Ашан'           |
	И в таблице "ТоварыРаспоряженияНаОтгрузку" я перехожу к строке:
		| 'В ед. хранения' | 'Ед.'                | 'Количество' | 'Номенклатура'   | 'Серия'                        | 'Характеристика'   |
		| '15,375, кг'     | 'упак (5 кг) (Ашан)' | '3,000'      | 'Сыр Адыгейский' | '000001 до 27.10.2020 0:00:00' | '<Без маркировки>' |
	И я нажимаю на кнопку 'Набрать'
	Тогда открылось окно 'План отгрузки * от *'
	И Я закрываю окно 'План отгрузки * от *'
	Тогда открылось окно 'Формирование накладных'
	И в таблице "ДеревоПлановОтгрузки" я перехожу к строке:
		| 'План'   | 'Транспорт/План отгрузки'             | 'Факт'   |
		| '51,250' | 'А524НВ Газель, Водитель Петров Петр' | '76,875' |
	И в таблице "ДеревоПлановОтгрузки" я перехожу к строке:
		| 'План'   | 'Статус'     | 'Факт'   |
		| '51,250' | 'Набирается' | '76,875' |
	И я нажимаю на кнопку 'Подтвердить наборку'
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Дата отгрузки' | 'Склад'     | 'Статус'  |
		| '22.03.2020'    | 'Сырная ГП' | 'Собрано' |
	И Я закрываю окно 'Планы отгрузки'
	Тогда открылось окно 'Формирование накладных'
	И я перехожу к закладке "Формирование накладных"
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке:
		| 'Транспорт/Распоряжение/Заказ' 		|
		| 'А524НВ Газель, Водитель Петров Петр' |
	И в таблице "ДеревоДокументовОтгрузки" я нажимаю на кнопку 'Сформировать'
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке:
		| 'Статус'       | 'Транспорт/Распоряжение/Заказ' 			|
		| 'Сформирована' | 'А524НВ Газель, Водитель Петров Петр'	|
	И Я закрываю окно 'Формирование накладных'

Сценарий: 015.2. Завершение

	И я закрываю сеанс TESTCLIENT